package org.springblade.third.butt.iotdevice.service;

import org.springblade.core.tool.api.R;
import org.springblade.smartapplication.smartsmoke.entity.SmartDevice;
import org.springblade.third.butt.iotdevice.entity.IotAuthentication;

import java.util.List;

/**
 * Created By lidexi in 2021/7/14
 **/
public interface IperceptionIotDeviceService {
	/**
	 * 感知平台鉴权
	 */
	R<IotAuthentication> auth(String appId);
	/**
	 * 创建设备
	 * @return
	 */

	R registerDevice(SmartDevice iotDevice);
	/**
	 * 删除设备
	 * @return
	 */
	R deleteDevice( SmartDevice iotDevice);
	/**
	 * 查询设备
	 * @return
	 */
	R queryDevice();
	/**
	 * 批量查询设备
	 * @return
	 */
	R<List<SmartDevice>> queryDeviceList(String appId, Integer page);
	/**
	 * 批量查询设备
	 * @return
	 */
	R updateDevice();

	/**
	 * 查询aep列表
	 * @return
	 */
	R queryAepList(String appId);
}
